IntrospectorTestCase3.MethodProvider (Velocity 1.4 API)
Keywords: org.apache.velocity.test.IntrospectorTestCase3.MethodProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class IntrospectorTestCase3.MethodProvider

    java.lang.Object
      org.apache.velocity.test.IntrospectorTestCase3.MethodProvider

Enclosing class:
  IntrospectorTestCase3

public static class IntrospectorTestCase3.MethodProvider
extends java.lang.Object

Constructor Summary
`IntrospectorTestCase3.MethodProvider()`

Method Summary
`java.lang.String` | `ii(int p, int d)`
`java.lang.String` | `lii(java.util.List s, int p, int d)`
`java.lang.String` | `ll(long p, long d)`
`java.lang.String` | `lll(java.util.List s, long p)`
`java.lang.String` | `lll(java.util.List s, long p, int d)`
`java.lang.String` | `lll(java.util.List s, long p, java.util.List d)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntrospectorTestCase3.MethodProvider

    public IntrospectorTestCase3.MethodProvider()

Method Detail

### ii

    public java.lang.String ii(int p,
                               int d)

### lii

    public java.lang.String lii(java.util.List s,
                                int p,
                                int d)

### lll

    public java.lang.String lll(java.util.List s,
                                long p,
                                java.util.List d)

### lll

    public java.lang.String lll(java.util.List s,
                                long p,
                                int d)

### lll

    public java.lang.String lll(java.util.List s,
                                long p)

### ll

    public java.lang.String ll(long p,
                               long d)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.